Summary: Utility programs for the AWE32/Emu10k1 sound driver.
Name: awesfx
Version: 0.5.0d
Release: 2
Group: Applications/Multimedia
URL: http://mitglied.lycos.de/iwai/awedrv.html
Source: http://mitglied.lycos.de/iwai/awesfx-%{version}.tar.gz
Source2: http://www.pvv.org/~thammer/localfiles/soundfonts_other/gu11-rom.zip
Patch1: awesfx-0.5.0d-make.patch
License: GPL/distributable
Prefix: /usr
ExclusiveArch: i386 alpha x86_64
BuildRoot: /var/tmp/awesfx-root

%description
The awesfx package contains various utility programs for controlling
the AWE32/Emu10k1 sound driver. AWESFX includes asxfload and sfxload, the soundfont 
loaders; setfx, the chorus/reverb effect loader; aweset, a controller
for setting parameters; and programs for converting soundfonts to
text.

If you use an AWE32 or Emu10k1 sound driver you should install the awesfx 
package.

%prep
%setup
%patch1 -p1 -b .make

mkdir gu11-rom
cd gu11-rom
unzip $RPM_SOURCE_DIR/gu11-rom.zip
cd ..

%build
%configure CFLAGS="$RPM_OPT_FLAGS"
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/etc/midi

mv $RPM_BUILD_ROOT/usr/bin/sfxload $RPM_BUILD_ROOT/bin/
mv $RPM_BUILD_ROOT/usr/bin/asfxload $RPM_BUILD_ROOT/bin/
mv gu11-rom/GU11-ROM.SF2 $RPM_BUILD_ROOT/etc/midi
rm samples/Makefile*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README SBKtoSF2.txt samples
%doc gu11-rom
/etc/midi/GU11-ROM.SF2
/bin/sfxload
/bin/asfxload
/usr/bin/setfx
/usr/bin/sf2text
/usr/bin/text2sf
/usr/bin/gusload
/usr/bin/sfxtest
/usr/bin/aweset
%{_mandir}/man1/sfxload.1.gz
%{_mandir}/man1/asfxload.1.gz


%changelog
* Mon Mar 7 2005 Martin Stransky <stransky@redhat.com>
- rebuilt

* Mon Jan 31 2005 Martin Stransky <stransky@redhat.com> 0.5.0d-1
- updated to 0.5.0d

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 15 2003 Bill Nottingham <notting@redhat.com> 0.4.3a-13
- fix URL (#81900)

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 0.4.3a-12
- rebuild

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 20 2001 Bill Nottingham <notting@redhat.com>
- fix URL (#45206)

* Fri Jul 21 2000 Bill Nottingham <notting@redhat.com>
- include aweset binary (#14364)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun  8 2000 Bill Nottingham <notting@redhat.com>
- remove ia64 arch. ;)
- FHS stuff

* Sun May  7 2000 Bill Nottingham <notting@redhat.com>
- add ia64 arch

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Mar  9 1999 Bill Nottingham <notting@redhat.com>
- update to 0.4.3a

* Mon Nov 16 1998 Bill Nottingham <notting@redhat.com>
- sfxload needs to be on root partition (modules loaded at startup)

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- build for Alpha

* Wed Sep  9 1998 Bill Nottingham <notting@redhat.com>
- initial packaging
